<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/core/thread/mesh_forwarder.hpp Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('da/d80/mesh__forwarder_8hpp_source.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">mesh_forwarder.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../da/d80/mesh__forwarder_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> *  Copyright (c) 2016, The OpenThread Authors.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *  All rights reserved.</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *  Redistribution and use in source and binary forms, with or without</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> *  modification, are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *  1. Redistributions of source code must retain the above copyright</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     notice, this list of conditions and the following disclaimer.</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *  2. Redistributions in binary form must reproduce the above copyright</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *     notice, this list of conditions and the following disclaimer in the</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *     documentation and/or other materials provided with the distribution.</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> *  3. Neither the name of the copyright holder nor the</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *     names of its contributors may be used to endorse or promote products</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *     derived from this software without specific prior written permission.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> *  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> *  POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#ifndef MESH_FORWARDER_HPP_</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#define MESH_FORWARDER_HPP_</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../df/dcb/openthread-core-config_8h.html">openthread-core-config.h</a>&gt;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../dc/dbf/openthread-types_8h.html">openthread-types.h</a>&gt;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../df/d84/tasklet_8hpp.html">common/tasklet.hpp</a>&gt;</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../da/db5/mac_8hpp.html">mac/mac.hpp</a>&gt;</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../d1/dd4/ip6_8hpp.html">net/ip6.hpp</a>&gt;</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../d9/d2d/address__resolver_8hpp.html">thread/address_resolver.hpp</a>&gt;</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../de/d66/lowpan_8hpp.html">thread/lowpan.hpp</a>&gt;</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../de/d90/network__data__leader_8hpp.html">thread/network_data_leader.hpp</a>&gt;</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../df/d4b/topology_8hpp.html">thread/topology.hpp</a>&gt;</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="keyword">namespace </span><a class="code" href="../../d9/d00/namespaceThread.html">Thread</a> {</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="keyword">enum</span></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;{</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    kReassemblyTimeout = <a class="code" href="../../d7/d08/openthread-core-default-config_8h.html#a7ef15cc300d16d1473523e534fe55771">OPENTHREAD_CONFIG_6LOWPAN_REASSEMBLY_TIMEOUT</a>,</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;};</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="keyword">class </span>MleRouter;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="keyword">struct </span>ThreadMessageInfo;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="../../dd/d1d/classThread_1_1MeshForwarder.html">   70</a></span>&#160;<span class="keyword">class </span><a class="code" href="../../dd/d1d/classThread_1_1MeshForwarder.html">MeshForwarder</a></div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;{</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    <span class="keyword">explicit</span> <a class="code" href="../../dd/d1d/classThread_1_1MeshForwarder.html#aec43d8823d60a45b00c4f2dd40f624c6">MeshForwarder</a>(<a class="code" href="../../d3/d8e/classThread_1_1ThreadNetif.html">ThreadNetif</a> &amp;aThreadNetif);</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a8d509a0b25136785f88ecfc8404e6ba8">Start</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a9a108930edeab22236a5eae4ced14ca6">Stop</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df">SendMessage</a>(<a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage);</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a7668817d03306dadcb36ff9eaad72299">HandleResolved</a>(<span class="keyword">const</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Ip6::Address</a> &amp;aEid, <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> aError);</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a286437ace3e60faf9a3b4a2ab85c8dbf">GetRxOnWhenIdle</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a2343ec6e8df3c5885415fa912889a752">SetRxOnWhenIdle</a>(<span class="keywordtype">bool</span> aRxOnWhenIdle);</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3225df0339f0f996cba784017d8f6e1e">SetAssignPollPeriod</a>(uint32_t aPeriod);</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    uint32_t <a class="code" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a494646e3a3054896746f70390dfff513">GetAssignPollPeriod</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a969c6fac135cdee3ed9380a0859eaaa8">SetPollPeriod</a>(uint32_t aPeriod);</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;    uint32_t <a class="code" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0">GetPollPeriod</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a">SetDiscoverParameters</a>(uint32_t aScanChannels, uint16_t aScanDuration);</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;    <span class="keyword">enum</span></div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;    {</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;        kStateUpdatePeriod = 1000,  </div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;    };</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> CheckReachability(uint8_t *aFrame, uint8_t aFrameLength,</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;                                  <span class="keyword">const</span> <a class="code" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> &amp;aMeshSource, <span class="keyword">const</span> <a class="code" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> &amp;aMeshDest);</div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> GetMacDestinationAddress(<span class="keyword">const</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Ip6::Address</a> &amp;aIp6Addr, <a class="code" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> &amp;aMacAddr);</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> GetMacSourceAddress(<span class="keyword">const</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Ip6::Address</a> &amp;aIp6Addr, <a class="code" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> &amp;aMacAddr);</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;    <a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> *GetDirectTransmission(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;    <a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> *GetIndirectTransmission(<span class="keyword">const</span> <a class="code" href="../../d3/de7/classThread_1_1Child.html">Child</a> &amp;aChild);</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;    <span class="keywordtype">void</span> HandleMesh(uint8_t *aFrame, uint8_t aPayloadLength, <span class="keyword">const</span> <a class="code" href="../../df/d49/structThread_1_1ThreadMessageInfo.html">ThreadMessageInfo</a> &amp;aMessageInfo);</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;    <span class="keywordtype">void</span> HandleFragment(uint8_t *aFrame, uint8_t aPayloadLength,</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;                        <span class="keyword">const</span> <a class="code" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> &amp;aMacSource, <span class="keyword">const</span> <a class="code" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> &amp;aMacDest,</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;                        <span class="keyword">const</span> <a class="code" href="../../df/d49/structThread_1_1ThreadMessageInfo.html">ThreadMessageInfo</a> &amp;aMessageInfo);</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;    <span class="keywordtype">void</span> HandleLowpanHC(uint8_t *aFrame, uint8_t aPayloadLength,</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;                        <span class="keyword">const</span> <a class="code" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> &amp;aMacSource, <span class="keyword">const</span> <a class="code" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> &amp;aMacDest,</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;                        <span class="keyword">const</span> <a class="code" href="../../df/d49/structThread_1_1ThreadMessageInfo.html">ThreadMessageInfo</a> &amp;aMessageInfo);</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;    <span class="keywordtype">void</span> HandleDataRequest(<span class="keyword">const</span> <a class="code" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> &amp;aMacSource, <span class="keyword">const</span> <a class="code" href="../../df/d49/structThread_1_1ThreadMessageInfo.html">ThreadMessageInfo</a> &amp;aMessageInfo);</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;    <span class="keywordtype">void</span> MoveToResolving(<span class="keyword">const</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Ip6::Address</a> &amp;aDestination);</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> SendPoll(<a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, <a class="code" href="../../d5/d19/classThread_1_1Mac_1_1Frame.html">Mac::Frame</a> &amp;aFrame);</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> SendMesh(<a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, <a class="code" href="../../d5/d19/classThread_1_1Mac_1_1Frame.html">Mac::Frame</a> &amp;aFrame);</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> SendFragment(<a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, <a class="code" href="../../d5/d19/classThread_1_1Mac_1_1Frame.html">Mac::Frame</a> &amp;aFrame);</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;    <span class="keywordtype">void</span> UpdateFramePending(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> UpdateIp6Route(<a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage);</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> UpdateMeshRoute(<a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage);</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> HandleDatagram(<a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, <span class="keyword">const</span> <a class="code" href="../../df/d49/structThread_1_1ThreadMessageInfo.html">ThreadMessageInfo</a> &amp;aMessageInfo);</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> HandleReceivedFrame(<span class="keywordtype">void</span> *aContext, <a class="code" href="../../d5/d19/classThread_1_1Mac_1_1Frame.html">Mac::Frame</a> &amp;aFrame, <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> aError);</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;    <span class="keywordtype">void</span> HandleReceivedFrame(<a class="code" href="../../d5/d19/classThread_1_1Mac_1_1Frame.html">Mac::Frame</a> &amp;aFrame, <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> aError);</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;    <span class="keyword">static</span> <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> HandleFrameRequest(<span class="keywordtype">void</span> *aContext, <a class="code" href="../../d5/d19/classThread_1_1Mac_1_1Frame.html">Mac::Frame</a> &amp;aFrame);</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> HandleFrameRequest(<a class="code" href="../../d5/d19/classThread_1_1Mac_1_1Frame.html">Mac::Frame</a> &amp;aFrame);</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> HandleSentFrame(<span class="keywordtype">void</span> *aContext, <a class="code" href="../../d5/d19/classThread_1_1Mac_1_1Frame.html">Mac::Frame</a> &amp;aFrame, <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> aError);</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;    <span class="keywordtype">void</span> HandleSentFrame(<a class="code" href="../../d5/d19/classThread_1_1Mac_1_1Frame.html">Mac::Frame</a> &amp;aFrame, <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> aError);</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> HandleDiscoverTimer(<span class="keywordtype">void</span> *aContext);</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;    <span class="keywordtype">void</span> HandleDiscoverTimer(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> HandleReassemblyTimer(<span class="keywordtype">void</span> *aContext);</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;    <span class="keywordtype">void</span> HandleReassemblyTimer(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> HandlePollTimer(<span class="keywordtype">void</span> *aContext);</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;    <span class="keywordtype">void</span> HandlePollTimer(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> ScheduleTransmissionTask(<span class="keywordtype">void</span> *aContext);</div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;    <span class="keywordtype">void</span> ScheduleTransmissionTask(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> AddPendingSrcMatchEntries();</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> AddSrcMatchEntry(<a class="code" href="../../d3/de7/classThread_1_1Child.html">Child</a> &amp;aChild);</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;    <span class="keywordtype">void</span> ClearSrcMatchEntry(<a class="code" href="../../d3/de7/classThread_1_1Child.html">Child</a> &amp;aChild);</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;</div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;    <a class="code" href="../../db/d89/classThread_1_1Mac_1_1Receiver.html">Mac::Receiver</a> mMacReceiver;</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;    <a class="code" href="../../d1/d40/classThread_1_1Mac_1_1Sender.html">Mac::Sender</a> mMacSender;</div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;    <a class="code" href="../../d1/d40/classThread_1_1Timer.html">Timer</a> mDiscoverTimer;</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;    <a class="code" href="../../d1/d40/classThread_1_1Timer.html">Timer</a> mPollTimer;</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;    <a class="code" href="../../d1/d40/classThread_1_1Timer.html">Timer</a> mReassemblyTimer;</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;    <a class="code" href="../../da/d1a/classThread_1_1MessageQueue.html">MessageQueue</a> mSendQueue;</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;    <a class="code" href="../../da/d1a/classThread_1_1MessageQueue.html">MessageQueue</a> mReassemblyList;</div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;    <a class="code" href="../../da/d1a/classThread_1_1MessageQueue.html">MessageQueue</a> mResolvingQueue;</div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;    uint16_t mFragTag;</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;    uint16_t mMessageNextOffset;</div><div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;    uint32_t mPollPeriod;</div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;    uint32_t mAssignPollPeriod;  </div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;    <a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> *mSendMessage;</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;</div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;    <a class="code" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> mMacSource;</div><div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;    <a class="code" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> mMacDest;</div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;    uint16_t mMeshSource;</div><div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;    uint16_t mMeshDest;</div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;    <span class="keywordtype">bool</span> mAddMeshHeader;</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;</div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;    <span class="keywordtype">bool</span> mSendBusy;</div><div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;</div><div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;    <a class="code" href="../../d4/d92/classThread_1_1Tasklet.html">Tasklet</a> mScheduleTransmissionTask;</div><div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;    <span class="keywordtype">bool</span> mEnabled;</div><div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;</div><div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;    uint32_t mScanChannels;</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;    uint16_t mScanDuration;</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;    uint8_t mScanChannel;</div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;    uint8_t mRestoreChannel;</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;    <span class="keywordtype">bool</span> mScanning;</div><div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;</div><div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;    <a class="code" href="../../d3/d8e/classThread_1_1ThreadNetif.html">ThreadNetif</a> &amp;mNetif;</div><div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;    <a class="code" href="../../d4/dcf/classThread_1_1AddressResolver.html">AddressResolver</a> &amp;mAddressResolver;</div><div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;    <a class="code" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html">Lowpan::Lowpan</a> &amp;mLowpan;</div><div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;    <a class="code" href="../../d6/d88/classThread_1_1Mac_1_1Mac.html">Mac::Mac</a> &amp;mMac;</div><div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;    <a class="code" href="../../df/da5/classThread_1_1Mle_1_1MleRouter.html">Mle::MleRouter</a> &amp;mMle;</div><div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;    <a class="code" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html">NetworkData::Leader</a> &amp;mNetworkData;</div><div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;</div><div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;    <span class="keywordtype">bool</span> mSrcMatchEnabled;</div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;};</div><div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;</div><div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;}  <span class="comment">// namespace Thread</span></div><div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;</div><div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;<span class="preprocessor">#endif  // MESH_FORWARDER_HPP_</span></div><div class="ttc" id="structThread_1_1ThreadMessageInfo_html"><div class="ttname"><a href="../../df/d49/structThread_1_1ThreadMessageInfo.html">Thread::ThreadMessageInfo</a></div><div class="ttdoc">This structure represents Thread-specific link information. </div><div class="ttdef"><b>Definition:</b> thread_netif.hpp:313</div></div>
<div class="ttc" id="classThread_1_1MeshForwarder_html_a3225df0339f0f996cba784017d8f6e1e"><div class="ttname"><a href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3225df0339f0f996cba784017d8f6e1e">Thread::MeshForwarder::SetAssignPollPeriod</a></div><div class="ttdeci">void SetAssignPollPeriod(uint32_t aPeriod)</div><div class="ttdoc">This method sets customized Data Poll period. </div><div class="ttdef"><b>Definition:</b> mesh_forwarder.cpp:735</div></div>
<div class="ttc" id="classThread_1_1Tasklet_html"><div class="ttname"><a href="../../d4/d92/classThread_1_1Tasklet.html">Thread::Tasklet</a></div><div class="ttdoc">This class is used to represent a tasklet. </div><div class="ttdef"><b>Definition:</b> tasklet.hpp:59</div></div>
<div class="ttc" id="classThread_1_1Message_html"><div class="ttname"><a href="../../dc/d3c/classThread_1_1Message.html">Thread::Message</a></div><div class="ttdoc">This class represents a message. </div><div class="ttdef"><b>Definition:</b> message.hpp:213</div></div>
<div class="ttc" id="classThread_1_1Child_html"><div class="ttname"><a href="../../d3/de7/classThread_1_1Child.html">Thread::Child</a></div><div class="ttdoc">This class represents a Thread Child. </div><div class="ttdef"><b>Definition:</b> topology.hpp:98</div></div>
<div class="ttc" id="classThread_1_1MeshForwarder_html_a3a55dcf590bf5941d216ff313b6ce0d0"><div class="ttname"><a href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0">Thread::MeshForwarder::GetPollPeriod</a></div><div class="ttdeci">uint32_t GetPollPeriod(void)</div><div class="ttdoc">This method gets the Data Poll period. </div><div class="ttdef"><b>Definition:</b> mesh_forwarder.cpp:767</div></div>
<div class="ttc" id="classThread_1_1ThreadNetif_html"><div class="ttname"><a href="../../d3/d8e/classThread_1_1ThreadNetif.html">Thread::ThreadNetif</a></div><div class="ttdef"><b>Definition:</b> thread_netif.hpp:85</div></div>
<div class="ttc" id="classThread_1_1MeshForwarder_html_a7668817d03306dadcb36ff9eaad72299"><div class="ttname"><a href="../../dd/d1d/classThread_1_1MeshForwarder.html#a7668817d03306dadcb36ff9eaad72299">Thread::MeshForwarder::HandleResolved</a></div><div class="ttdeci">void HandleResolved(const Ip6::Address &amp;aEid, ThreadError aError)</div><div class="ttdoc">This method is called by the address resolver when an EID-to-RLOC mapping has been resolved...</div><div class="ttdef"><b>Definition:</b> mesh_forwarder.cpp:139</div></div>
<div class="ttc" id="openthread-types_8h_html_ab701d053a9c34ab7f11e43e0dc09ac9f"><div class="ttname"><a href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a></div><div class="ttdeci">ThreadError</div><div class="ttdoc">This enumeration represents error codes used throughout OpenThread. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:75</div></div>
<div class="ttc" id="topology_8hpp_html"><div class="ttname"><a href="../../df/d4b/topology_8hpp.html">topology.hpp</a></div><div class="ttdoc">This file includes definitions for maintaining Thread network topologies. </div></div>
<div class="ttc" id="lowpan_8hpp_html"><div class="ttname"><a href="../../de/d66/lowpan_8hpp.html">lowpan.hpp</a></div><div class="ttdoc">This file includes definitions for 6LoWPAN header compression. </div></div>
<div class="ttc" id="classThread_1_1Timer_html"><div class="ttname"><a href="../../d1/d40/classThread_1_1Timer.html">Thread::Timer</a></div><div class="ttdoc">This class implements a timer. </div><div class="ttdef"><b>Definition:</b> timer.hpp:138</div></div>
<div class="ttc" id="classThread_1_1MessageQueue_html"><div class="ttname"><a href="../../da/d1a/classThread_1_1MessageQueue.html">Thread::MessageQueue</a></div><div class="ttdoc">This class implements a message queue. </div><div class="ttdef"><b>Definition:</b> message.hpp:626</div></div>
<div class="ttc" id="classThread_1_1MeshForwarder_html_a8d509a0b25136785f88ecfc8404e6ba8"><div class="ttname"><a href="../../dd/d1d/classThread_1_1MeshForwarder.html#a8d509a0b25136785f88ecfc8404e6ba8">Thread::MeshForwarder::Start</a></div><div class="ttdeci">ThreadError Start(void)</div><div class="ttdoc">This method enables mesh forwarding and the IEEE 802.15.4 MAC layer. </div><div class="ttdef"><b>Definition:</b> mesh_forwarder.cpp:89</div></div>
<div class="ttc" id="classThread_1_1MeshForwarder_html_aec43d8823d60a45b00c4f2dd40f624c6"><div class="ttname"><a href="../../dd/d1d/classThread_1_1MeshForwarder.html#aec43d8823d60a45b00c4f2dd40f624c6">Thread::MeshForwarder::MeshForwarder</a></div><div class="ttdeci">MeshForwarder(ThreadNetif &amp;aThreadNetif)</div><div class="ttdoc">This constructor initializes the object. </div><div class="ttdef"><b>Definition:</b> mesh_forwarder.cpp:55</div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1Leader_html"><div class="ttname"><a href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html">Thread::NetworkData::Leader</a></div><div class="ttdoc">This class implements the Thread Network Data maintained by the Leader. </div><div class="ttdef"><b>Definition:</b> network_data_leader.hpp:65</div></div>
<div class="ttc" id="classThread_1_1MeshForwarder_html_a9a108930edeab22236a5eae4ced14ca6"><div class="ttname"><a href="../../dd/d1d/classThread_1_1MeshForwarder.html#a9a108930edeab22236a5eae4ced14ca6">Thread::MeshForwarder::Stop</a></div><div class="ttdeci">ThreadError Stop(void)</div><div class="ttdoc">This method disables mesh forwarding and the IEEE 802.15.4 MAC layer. </div><div class="ttdef"><b>Definition:</b> mesh_forwarder.cpp:102</div></div>
<div class="ttc" id="classThread_1_1Mac_1_1Sender_html"><div class="ttname"><a href="../../d1/d40/classThread_1_1Mac_1_1Sender.html">Thread::Mac::Sender</a></div><div class="ttdoc">This class implements a MAC sender client. </div><div class="ttdef"><b>Definition:</b> mac.hpp:130</div></div>
<div class="ttc" id="classThread_1_1AddressResolver_html"><div class="ttname"><a href="../../d4/dcf/classThread_1_1AddressResolver.html">Thread::AddressResolver</a></div><div class="ttdoc">This class implements the EID-to-RLOC mapping and caching. </div><div class="ttdef"><b>Definition:</b> address_resolver.hpp:66</div></div>
<div class="ttc" id="classThread_1_1MeshForwarder_html"><div class="ttname"><a href="../../dd/d1d/classThread_1_1MeshForwarder.html">Thread::MeshForwarder</a></div><div class="ttdoc">This class implements mesh forwarding within Thread. </div><div class="ttdef"><b>Definition:</b> mesh_forwarder.hpp:70</div></div>
<div class="ttc" id="tasklet_8hpp_html"><div class="ttname"><a href="../../df/d84/tasklet_8hpp.html">tasklet.hpp</a></div><div class="ttdoc">This file includes definitions for tasklets and the tasklet scheduler. </div></div>
<div class="ttc" id="classThread_1_1Mac_1_1Mac_html"><div class="ttname"><a href="../../d6/d88/classThread_1_1Mac_1_1Mac.html">Thread::Mac::Mac</a></div><div class="ttdoc">This class implements the IEEE 802.15.4 MAC. </div><div class="ttdef"><b>Definition:</b> mac.hpp:183</div></div>
<div class="ttc" id="mac_8hpp_html"><div class="ttname"><a href="../../da/db5/mac_8hpp.html">mac.hpp</a></div><div class="ttdoc">This file includes definitions for the IEEE 802.15.4 MAC. </div></div>
<div class="ttc" id="address__resolver_8hpp_html"><div class="ttname"><a href="../../d9/d2d/address__resolver_8hpp.html">address_resolver.hpp</a></div><div class="ttdoc">This file includes definitions for Thread EID-to-RLOC mapping and caching. </div></div>
<div class="ttc" id="classThread_1_1MeshForwarder_html_a2343ec6e8df3c5885415fa912889a752"><div class="ttname"><a href="../../dd/d1d/classThread_1_1MeshForwarder.html#a2343ec6e8df3c5885415fa912889a752">Thread::MeshForwarder::SetRxOnWhenIdle</a></div><div class="ttdeci">void SetRxOnWhenIdle(bool aRxOnWhenIdle)</div><div class="ttdoc">This method sets the rx-on-when-idle mode. </div><div class="ttdef"><b>Definition:</b> mesh_forwarder.cpp:721</div></div>
<div class="ttc" id="network__data__leader_8hpp_html"><div class="ttname"><a href="../../de/d90/network__data__leader_8hpp.html">network_data_leader.hpp</a></div><div class="ttdoc">This file includes definitions for manipulating Thread Network Data managed by the Thread Leader...</div></div>
<div class="ttc" id="structThread_1_1Mac_1_1Address_html"><div class="ttname"><a href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Thread::Mac::Address</a></div><div class="ttdoc">This structure represents an IEEE 802.15.4 Short or Extended Address. </div><div class="ttdef"><b>Definition:</b> mac_frame.hpp:152</div></div>
<div class="ttc" id="openthread-core-default-config_8h_html_a7ef15cc300d16d1473523e534fe55771"><div class="ttname"><a href="../../d7/d08/openthread-core-default-config_8h.html#a7ef15cc300d16d1473523e534fe55771">OPENTHREAD_CONFIG_6LOWPAN_REASSEMBLY_TIMEOUT</a></div><div class="ttdeci">#define OPENTHREAD_CONFIG_6LOWPAN_REASSEMBLY_TIMEOUT</div><div class="ttdoc">The 6LoWPAN fragment reassembly timeout in seconds. </div><div class="ttdef"><b>Definition:</b> openthread-core-default-config.h:135</div></div>
<div class="ttc" id="ip6_8hpp_html"><div class="ttname"><a href="../../d1/dd4/ip6_8hpp.html">ip6.hpp</a></div><div class="ttdoc">This file includes definitions for IPv6 packet processing. </div></div>
<div class="ttc" id="classThread_1_1Lowpan_1_1Lowpan_html"><div class="ttname"><a href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html">Thread::Lowpan::Lowpan</a></div><div class="ttdoc">This class implements LOWPAN_IPHC header compression. </div><div class="ttdef"><b>Definition:</b> lowpan.hpp:81</div></div>
<div class="ttc" id="classThread_1_1MeshForwarder_html_a494646e3a3054896746f70390dfff513"><div class="ttname"><a href="../../dd/d1d/classThread_1_1MeshForwarder.html#a494646e3a3054896746f70390dfff513">Thread::MeshForwarder::GetAssignPollPeriod</a></div><div class="ttdeci">uint32_t GetAssignPollPeriod(void)</div><div class="ttdoc">This method gets the customized Data Poll period. </div><div class="ttdef"><b>Definition:</b> mesh_forwarder.cpp:745</div></div>
<div class="ttc" id="openthread-types_8h_html"><div class="ttname"><a href="../../dc/dbf/openthread-types_8h.html">openthread-types.h</a></div><div class="ttdoc">This file defines the types and structures used in the OpenThread library API. </div></div>
<div class="ttc" id="classThread_1_1Mac_1_1Frame_html"><div class="ttname"><a href="../../d5/d19/classThread_1_1Mac_1_1Frame.html">Thread::Mac::Frame</a></div><div class="ttdoc">This class implements IEEE 802.15.4 MAC frame generation and parsing. </div><div class="ttdef"><b>Definition:</b> mac_frame.hpp:167</div></div>
<div class="ttc" id="classThread_1_1MeshForwarder_html_a5f726671448fb7cd72f8ee96db40731a"><div class="ttname"><a href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a">Thread::MeshForwarder::SetDiscoverParameters</a></div><div class="ttdeci">void SetDiscoverParameters(uint32_t aScanChannels, uint16_t aScanDuration)</div><div class="ttdoc">This method sets the scan parameters for MLE Discovery Request messages. </div><div class="ttdef"><b>Definition:</b> mesh_forwarder.cpp:1297</div></div>
<div class="ttc" id="classThread_1_1MeshForwarder_html_a361ef901f6b665b3c7feac206089a7df"><div class="ttname"><a href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df">Thread::MeshForwarder::SendMessage</a></div><div class="ttdeci">ThreadError SendMessage(Message &amp;aMessage)</div><div class="ttdoc">This method submits a message to the mesh forwarder for forwarding. </div><div class="ttdef"><b>Definition:</b> mesh_forwarder.cpp:325</div></div>
<div class="ttc" id="classThread_1_1Mle_1_1MleRouter_html"><div class="ttname"><a href="../../df/da5/classThread_1_1Mle_1_1MleRouter.html">Thread::Mle::MleRouter</a></div><div class="ttdoc">This class implements MLE functionality required by the Thread Router and Leader roles. </div><div class="ttdef"><b>Definition:</b> mle_router.hpp:174</div></div>
<div class="ttc" id="classThread_1_1MeshForwarder_html_a286437ace3e60faf9a3b4a2ab85c8dbf"><div class="ttname"><a href="../../dd/d1d/classThread_1_1MeshForwarder.html#a286437ace3e60faf9a3b4a2ab85c8dbf">Thread::MeshForwarder::GetRxOnWhenIdle</a></div><div class="ttdeci">bool GetRxOnWhenIdle(void)</div><div class="ttdoc">This method indicates whether or not rx-on-when-idle mode is enabled. </div><div class="ttdef"><b>Definition:</b> mesh_forwarder.cpp:716</div></div>
<div class="ttc" id="namespaceThread_html"><div class="ttname"><a href="../../d9/d00/namespaceThread.html">Thread</a></div><div class="ttdef"><b>Definition:</b> cli.cpp:61</div></div>
<div class="ttc" id="classThread_1_1MeshForwarder_html_a969c6fac135cdee3ed9380a0859eaaa8"><div class="ttname"><a href="../../dd/d1d/classThread_1_1MeshForwarder.html#a969c6fac135cdee3ed9380a0859eaaa8">Thread::MeshForwarder::SetPollPeriod</a></div><div class="ttdeci">void SetPollPeriod(uint32_t aPeriod)</div><div class="ttdoc">This method sets the Data Poll period. </div><div class="ttdef"><b>Definition:</b> mesh_forwarder.cpp:750</div></div>
<div class="ttc" id="openthread-core-config_8h_html"><div class="ttname"><a href="../../df/dcb/openthread-core-config_8h.html">openthread-core-config.h</a></div><div class="ttdoc">This file includes compile-time configuration constants for OpenThread. </div></div>
<div class="ttc" id="classThread_1_1Mac_1_1Receiver_html"><div class="ttname"><a href="../../db/d89/classThread_1_1Mac_1_1Receiver.html">Thread::Mac::Receiver</a></div><div class="ttdoc">This class implements a MAC receiver client. </div><div class="ttdef"><b>Definition:</b> mac.hpp:90</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></div><div class="ttdoc">This class implements an IPv6 address object. </div><div class="ttdef"><b>Definition:</b> ip6_address.hpp:56</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_aebb8dcc11953d78e620bbef0b9e2183.html">core</a></li><li class="navelem"><a class="el" href="../../dir_fd71accbf528c1576ca21e7ec5716833.html">thread</a></li><li class="navelem"><a class="el" href="../../da/d80/mesh__forwarder_8hpp.html">mesh_forwarder.hpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:33 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
